<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorValentineTransparent">


    <ImageView
        android:id="@+id/valentine_close"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentEnd="true"
        android:padding="10dp"
        android:src="@drawable/ic_close_x" />


    <RelativeLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_above="@+id/frame_content"
        android:layout_alignParentStart="true"
        android:layout_alignParentEnd="true">

        <!-- <com.airbnb.lottie.LottieAnimationView
             android:id="@+id/animation_view"
             android:layout_width="match_parent"
             android:layout_height="match_parent"
             android:layout_centerInParent="true"
             app:lottie_autoPlay="false"
             app:lottie_loop="true"
             />
 -->
        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:src="@drawable/ic_choung" />


    </RelativeLayout>


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/frame_content"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_centerVertical="true"
        android:gravity="center">


        <ImageView
            android:id="@+id/imageView2"
            android:layout_width="350dp"
            android:layout_height="250dp"
            android:src="@drawable/bg_dialog_game"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="@+id/imageView2"
            app:layout_constraintEnd_toEndOf="@+id/imageView2"
            app:layout_constraintStart_toStartOf="@+id/imageView2"
            app:layout_constraintTop_toTopOf="parent">

            <TextView
                android:id="@+id/tv_congratulation"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/colorPrimary"
                android:textSize="25sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/sub_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:textColor="@color/colorPrimary"
                android:textSize="20sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/claim_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="35dp"
                android:layout_marginEnd="35dp"
                android:gravity="center"
                android:padding="10dp"
                android:textColor="@color/colorPrimary"
                android:textSize="15sp"
                android:visibility="gone" />

            <ImageView
                android:id="@+id/iv_data"
                android:layout_width="320dp"
                android:layout_height="150dp" />


            <ImageView
                android:id="@+id/image_open_ang_pao"
                android:layout_width="150dp"
                android:layout_height="150dp"
                android:src="@drawable/ic_open_cny"
                android:visibility="gone" />

        </LinearLayout>


    </androidx.constraintlayout.widget.ConstraintLayout>


    <Button
        android:id="@+id/btn_done"
        android:layout_width="wrap_content"
        android:layout_height="40dp"
        android:layout_below="@+id/frame_content"
        android:layout_alignParentStart="true"
        android:layout_alignParentEnd="true"
        android:layout_marginStart="100dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="100dp"
        android:background="@drawable/bg_radius_white"
        android:text="@string/done"
        android:textColor="@color/white"
        android:visibility="visible" />

</RelativeLayout>